Package org.apache.commons.net.ftp.parser

# Interface FTPFileEntryParserFactory

All Known Implementing Classes:
  `DefaultFTPFileEntryParserFactory`

public interface FTPFileEntryParserFactory
The interface describes a factory for creating FTPFileEntryParsers.

Since:
  1.2

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FTPFileEntryParser`
  `createFileEntryParser(String key)`
  Implementation should be a method that decodes the supplied key and creates an object implementing the interface FTPFileEntryParser.
  `FTPFileEntryParser`
  `createFileEntryParser(FTPClientConfig config)`
  Implementation should be a method that extracts a key from the supplied `FTPClientConfig` parameter and creates an object implementing the interface FTPFileEntryParser and uses the supplied configuration to configure it.

- ## Method Details

  - ### createFileEntryParser

    FTPFileEntryParser createFileEntryParser(FTPClientConfig config) throws ParserInitializationException

    Implementation should be a method that extracts a key from the supplied `FTPClientConfig` parameter and creates an object implementing the interface FTPFileEntryParser and uses the supplied configuration to configure it.

    Note that this method will generally not be called in scenarios that call for autodetection of parser type but rather, for situations where the user knows that the server uses a non-default configuration and knows what that configuration is.

    Parameters:
      `config` - A `FTPClientConfig` used to configure the parser created
    Returns:
      the `FTPFileEntryParser` so created.
    Throws:
      `ParserInitializationException` - Thrown on any exception in instantiation
    Since:
      1.4

  - ### createFileEntryParser

    FTPFileEntryParser createFileEntryParser(String key) throws ParserInitializationException
    Implementation should be a method that decodes the supplied key and creates an object implementing the interface FTPFileEntryParser.
    Parameters:
      `key` - A string that somehow identifies an FTPFileEntryParser to be created.
    Returns:
      the FTPFileEntryParser created.
    Throws:
      `ParserInitializationException` - Thrown on any exception in instantiation